//=========================================================================
// C++ Adapter Designpattern - ADHauptprogramm.cpp
//=========================================================================
#include "stdafx.h"        // Entfernen fr Borland
#include <string>
#include <iostream>
#include "ADIUmrechner.h"
#include "ADInchToCM.h"
#include "ADGallonToLiter.h"

using namespace std;

void AdapterTest (void)
{
   double         fEingabe   = 0.0;
   double         fAusgabe   = 0.0;
   int            nAuswahl   = 0;
   ADIUmrechner * pUmrechner = NULL;
   char           cEnde;

   string sEingabe;   
   string sAuswahl;   
   
   cout << "Bitte Umrechnungsart eingeben" << endl
        << "1 = Inch     in cm"            << endl
        << "2 = Gallonen in Liter"         << endl;

   cin >> sAuswahl;
   nAuswahl = atoi (sAuswahl.c_str());

   switch (nAuswahl)
   {
      default: exit(10);
      case 1 : pUmrechner = new ADInchToCM();      break;
      case 2 : pUmrechner = new ADGallonToLiter(); break;
   }

   cout << "Bitte umzurechnenden Wert eingeben" << endl;
   cin >> sEingabe;
   fEingabe = atof (sEingabe.c_str());

   fAusgabe = pUmrechner->berechne (fEingabe);

   cout << "Der umgerechnete Wert betrgt " << fAusgabe;
   delete pUmrechner;
   cin >> cEnde;
}
