//=========================================================================
// C++ Bridge Designpattern  BRVerkaufsleiterListeItem.cpp
//=========================================================================
#include "stdafx.h"

#include "BRVerkaufsleiterListeItem.h"

using namespace std;

//---------------------------------------------------------------------------
/**
 * Constructor
 */
//---------------------------------------------------------------------------
BRVerkaufsleiterListeItem::BRVerkaufsleiterListeItem(BRModelItem pItem)
: BRVerkaeuferListeItem(pItem)
{
   nWarenGruppe = pItem.nWarengruppe;
   switch (nWarenGruppe)
   {
      case 0:  fMinimumpreis = pItem.fEinkaufspreis + pItem.fEinkaufspreis * 1.2;
               fMinimumpreis = fMinimumpreis * 1.16;  
               break;
      case 1:  fMinimumpreis = pItem.fEinkaufspreis + pItem.fEinkaufspreis * 1.0;
               fMinimumpreis = fMinimumpreis * 1.16;  
               break;
      default: fMinimumpreis = pItem.fEinkaufspreis + pItem.fEinkaufspreis * 0.5;
               fMinimumpreis = fMinimumpreis * 1.16;  
               break;
   }
}

//---------------------------------------------------------------------------
/**
 * toString
 */
//---------------------------------------------------------------------------
string BRVerkaufsleiterListeItem::showContent()
{
   char s[1000] = "";
   sprintf (s, "%-15s  Warengruppe: %d  Mindestpreis: %10.2lf Euro", 
            BRVerkaeuferListeItem::showContent().c_str(),
            nWarenGruppe, fMinimumpreis);
   string sRC = s;
   return sRC;
}
