//=========================================================================
// C++ Command Designpattern  CMPunkt.h
//=========================================================================
#ifndef _CMPUNKT_H_
#define _CMPUNKT_H_

#include <string>
#include <vector>
#include "ICMCommandListener.h"

using namespace std;

class CMPunkt : public ICMCommandListener
{ 
   public:
      CMPunkt(int px, int py);
      virtual ~CMPunkt();

      virtual void   doCommand(CMCommand *pCommand);
      virtual string showContent();

   private:
      int xKoordinate;
      int yKoordinate; 
      string sColor; 
};

#endif