//=========================================================================
// C++ Command Designpattern  CMRechteck.h
//=========================================================================
#ifndef _CMRECHTECK_H_
#define _CMRECHTECK_H_

#include <string>
#include <vector>
#include "ICMCommandListener.h"

using namespace std;

class CMRechteck : public ICMCommandListener
{ 
   public:
      CMRechteck(int px1, int py1, int px2, int py2);
      virtual ~CMRechteck();

      virtual void   doCommand(CMCommand *pCommand);
      virtual string showContent();

   private:
      int xKoordinate1;
      int yKoordinate1; 
      int xKoordinate2;
      int yKoordinate2; 
      string sFillColor; 
      string sLineColor; 
};

#endif