//=========================================================================
// C++ Decorator Designpattern - DCWareEuro.cpp
//=========================================================================
#include "stdafx.h"        // Entfernen fr Borland
#include <assert.h>
#include "DCDecoratorEuro.h"
#include "DCWare.h"

//-------------------------------------------------------------------------
// Constructor
//-------------------------------------------------------------------------
DCDecoratorEuro::DCDecoratorEuro (DCWare & rNewWare) : DCDecoratorWareBasis (rNewWare)
{
}

//-------------------------------------------------------------------------
// Destructor
//-------------------------------------------------------------------------
DCDecoratorEuro::~DCDecoratorEuro ()
{
}

//-------------------------------------------------------------------------
// getVKPreis (void)
//-------------------------------------------------------------------------
double DCDecoratorEuro::getVKPreis (void)
{
   double fVKPreis = pWare->getEKPreis();
   fVKPreis = fVKPreis * getProfitfactor();
   fVKPreis = fVKPreis * getMWSTfactor();
   return fVKPreis;
}

//-------------------------------------------------------------------------
// getMWSTfactor (void)
//-------------------------------------------------------------------------
double DCDecoratorEuro::getMWSTfactor (void)
{
   return 1.17; // BESSER: aus externer Datenbank lesen
}

