//=========================================================================
// C++ Decorator Designpattern - DCDecoratorWareBasis.h 
//=========================================================================
#ifndef _DCDECORATORWAREBASIS_H_
#define _DCDECORATORWAREBASIS_H_

#include "DCIWarenInterface.h"

using namespace std;

class DCWare;

class DCDecoratorWareBasis : public DCIWarenInterface
{
   //----------------------------------------------------------------------
   // Methoden
   //----------------------------------------------------------------------
   public:
                             DCDecoratorWareBasis (DCWare & rNewWare);
                            ~DCDecoratorWareBasis ();
      virtual void           setName    (const string & sNew);
      virtual const string & getName    (void);
      virtual void           setEKPreis (const double fNew);
      virtual double         getEKPreis (void);

   //----------------------------------------------------------------------
   // Attribute
   //----------------------------------------------------------------------
   protected:
      DCWare *pWare;
};

#endif
