//=========================================================================
// C++ Decorator Designpattern - DCHauptprogramm.cpp
//=========================================================================
#include "stdafx.h"        // Entfernen fr Borland
#include <string>
#include <iostream>
#include "DCWare.h"
#include "DCDecoratorUS.h"
#include "DCDecoratorEuro.h"

using namespace std;

void DecoratorTest (void)
{
   char cEnde;
   DCWare aObject ("Vergaserinnenbeleuchtung", 123.45);

   DCDecoratorEuro aEuroZone (aObject);
   DCDecoratorUS   aUSZone   (aObject);

   cout << "E U R O Z O N E" << endl;
   cout << aEuroZone.getName() << ": " << aEuroZone.getVKPreis() << endl;


   cout << endl;
   cout << "U S Z O N E" << endl;
   cout << aUSZone.getName() << ": " << aUSZone.getVKPreis() 
        << " (" << aUSZone.getTax() << " Tax)" << endl;
   cin >> cEnde;
}