//=========================================================================
// C++ Factory Designpattern  FAGraphicElement.h
//=========================================================================
#ifndef _FAGRAPHICELEMENT_H_
#define _FAGRAPHICELEMENT_H_

#include <string>
#include <vector>

using namespace std;

class FAGraphicElement
{ 
   public:
      FAGraphicElement(void) {}
   
      virtual const vector<string> getProperties(void) = NULL;
      virtual string getProperty(string pProperty) = NULL;
      virtual void   setProperty(string pProperty, string pValue) = NULL;
      virtual string showContent(void) = NULL;
};

#endif