//=========================================================================
// C++ Factory Designpattern  FAKreis.cpp
//=========================================================================
#include "stdafx.h"
#include "FAKreis.h"

using namespace std;

vector<string> FAKreis::vProperties;

//----------------------------------------------------------------------
FAKreis::FAKreis(void)
{
   if (vProperties.size() == 0)
   {
      vProperties.push_back ("xKoordinate");
      vProperties.push_back ("yKoordinate");
      vProperties.push_back ("Radius");
   }
   xKoordinate = 0;
   yKoordinate = 0; 
   nRadius     = 0;
}

//----------------------------------------------------------------------
const vector<string> FAKreis::getProperties()
{
   return vProperties;
}

//----------------------------------------------------------------------
string FAKreis::getProperty(string pProperty)
{
   string sRC;
   if (pProperty == "xKoordinate")
   {
      sRC = xKoordinate;
   }
   else if (pProperty == "yKoordinate")
   {
      sRC = yKoordinate;
   }
   if (pProperty == "Radius")
   {
      sRC = nRadius;
   }
   return sRC;
}

//----------------------------------------------------------------------
void FAKreis::setProperty(string pProperty, string pValue)
{
   if (pProperty == "xKoordinate")
   {
      xKoordinate = atoi(pValue.c_str());
   }
   else if (pProperty == "yKoordinate")
   {
      yKoordinate = atoi(pValue.c_str());
   }
   if (pProperty == "Radius")
   {
      nRadius = atoi(pValue.c_str());
   }
}

//----------------------------------------------------------------------
string FAKreis::showContent(void)
{
   char sb[1000] = "";
   sprintf(sb, "Kreis: %d, %d, %d", 
           xKoordinate, yKoordinate, nRadius);
   return (string)sb;
}

