//=========================================================================
// C++ Factory Designpattern  FALinie.cpp
//=========================================================================
#include "stdafx.h"
#include "FALinie.h"

using namespace std;

vector<string> FALinie::vProperties;

//----------------------------------------------------------------------
FALinie::FALinie(void)
{
   if (vProperties.size() == 0)
   {
      vProperties.push_back ("xKoordinate1");
      vProperties.push_back ("yKoordinate1");
      vProperties.push_back ("xKoordinate2");
      vProperties.push_back ("yKoordinate2");
   }
   xKoordinate1 = 0;
   yKoordinate1 = 0; 
   xKoordinate2 = 0;
   yKoordinate2 = 0; 
}

//----------------------------------------------------------------------
const vector<string> FALinie::getProperties(void)
{
   return vProperties;
}

//----------------------------------------------------------------------
string FALinie::getProperty(string pProperty)
{
   string sRC;
   if (pProperty == "xKoordinate1")
   {
      sRC = xKoordinate1;
   }
   else if (pProperty == "yKoordinate1")
   {
      sRC = yKoordinate1;
   }
   if (pProperty == "xKoordinate2")
   {
      sRC = xKoordinate2;
   }
   else if (pProperty == "yKoordinate2")
   {
      sRC = yKoordinate2;
   }
   return sRC;
}

//----------------------------------------------------------------------
void FALinie::setProperty(string pProperty, string pValue)
{
   if (pProperty == "xKoordinate1")
   {
      xKoordinate1 = atoi(pValue.c_str());
   }
   else if (pProperty == "yKoordinate1")
   {
      yKoordinate1 = atoi(pValue.c_str());
   }
   if (pProperty == "xKoordinate2")
   {
      xKoordinate2 = atoi(pValue.c_str());
   }
   else if (pProperty == "yKoordinate2")
   {
      yKoordinate2 = atoi(pValue.c_str());
   }
}

//----------------------------------------------------------------------
string FALinie::showContent(void)
{
   char sb[1000] = "";
   sprintf(sb, "Linie: %d, %d, %d, %d", 
           xKoordinate1, yKoordinate1, xKoordinate2, yKoordinate2);
   return (string)sb;
}
