//=========================================================================
// C++ Factory Designpattern  FARechteck.h
//=========================================================================
#ifndef _FARECHTECK_H_
#define _FARECHTECK_H_

#include <string>
#include <vector>
#include "FAGraphicElement.h"

using namespace std;

class FARechteck : public FAGraphicElement
{ 
   public:
      FARechteck(void);

      virtual const vector<string> getProperties(void);
      virtual string getProperty(string pProperty);
      virtual void setProperty(string pProperty, string pValue);
      virtual string showContent(void);

   private:
      int xKoordinate1;
      int yKoordinate1; 
      int xKoordinate2;
      int yKoordinate2; 
      static vector<string> vProperties;
};

#endif