//=========================================================================
// C++ Prototype Designpattern  PRKreis.h
//=========================================================================
#ifndef _PRKREIS_H_
#define _PRKREIS_H_

#include <iostream>
#include "PRGraphicElement.h"
#include <string>

using namespace std;

class PRKreis : public PRGraphicElement
{
   public:
      PRKreis(int px, int py, int pRad);
   
      virtual PRGraphicElement* clone();
      virtual string showContent(void);

   private:
      int xKoordinate;
      int yKoordinate; 
      int nRadius;
};

#endif