//=========================================================================
// C++ Prototype Designpattern  PRLinie.h
//=========================================================================
#ifndef _PRLINIE_H_
#define _PRLINIE_H_

#include <iostream>
#include "PRGraphicElement.h"
#include <string>

using namespace std;

class PRLinie : public PRGraphicElement
{
   public:
      PRLinie(int px1, int py1, int px2, int py2);
   
      virtual PRGraphicElement* clone();
      virtual string showContent(void);

   private:
      int xKoordinate1;
      int yKoordinate1; 
      int xKoordinate2;
      int yKoordinate2; 
};

#endif