//=========================================================================
// C++ Template Method Designpattern - TMProdukt.cpp
//=========================================================================
#include "stdafx.h"        // Entfernen fr Borland
#include "TMProdukt.h"

//-------------------------------------------------------------------------
// Constructor
//-------------------------------------------------------------------------
TMProdukt::TMProdukt (const string & sNew, const double fNew)
{
   sName  = sNew;
   fPreis = fNew;
}

//-------------------------------------------------------------------------
// Destructor
//-------------------------------------------------------------------------
TMProdukt::~TMProdukt ()
{
}

//-------------------------------------------------------------------------
// berladen der Template Method save_write
//-------------------------------------------------------------------------
void TMProdukt::save_write (ofstream & rDatei)
{
   rDatei << "TMProdukt:" << endl;
   rDatei << sName  << endl;
   rDatei << fPreis << endl;
}

//-------------------------------------------------------------------------
// setName (const string &)
//-------------------------------------------------------------------------
void TMProdukt::setName (const string & sNew)
{
   sName = sNew;
}

//-------------------------------------------------------------------------
// getName (void)
//-------------------------------------------------------------------------
const string & TMProdukt::getName (void)
{
   return sName;
}

//-------------------------------------------------------------------------
// setPreis (const double)
//-------------------------------------------------------------------------
void TMProdukt::setPreis (const double fNew)
{
   fPreis = fNew;
}

//-------------------------------------------------------------------------
// getPreis (void)
//-------------------------------------------------------------------------
const double TMProdukt::getPreis (void)
{
   return fPreis;
}

