//=========================================================================
// C++ Bridge Designpattern  BRBridge.cpp
//=========================================================================
#include "stdafx.h"

#include "BRBridge.h"

using namespace std;

//---------------------------------------------------------------------------
/**
 * Constructor
 */
//---------------------------------------------------------------------------
BRBridge::BRBridge(BRModel *pModel)
{
   rModel = pModel;
}

//---------------------------------------------------------------------------
/**
 * getVerkaeuferListe
 */
//---------------------------------------------------------------------------
vector<BRVerkaeuferListeItem> BRBridge::getVerkaeuferListe()
{      
   vector<BRVerkaeuferListeItem> vListe;
   vector<BRModelItem> vModelListe = rModel->getWaren();
      
   for (unsigned int i=0; i<vModelListe.size(); i++)
   {
      BRVerkaeuferListeItem rTemp(vModelListe[i]);
      vListe.push_back(rTemp);
   }
   return vListe;
}

//---------------------------------------------------------------------------
/**
 * getVerkaufsleiterListe
 */
//---------------------------------------------------------------------------
vector<BRVerkaufsleiterListeItem> BRBridge::getVerkaufsleiterListe()
{
   vector<BRVerkaufsleiterListeItem> vListe;
   vector<BRModelItem> vModelListe = rModel->getWaren();
      
   for (unsigned int i=0; i<vModelListe.size(); i++)
   {
      BRVerkaufsleiterListeItem rTemp(vModelListe[i]);
      vListe.push_back(rTemp);
   }
   return vListe;
}
