//=========================================================================
// C++ Bridge Designpattern  BRModelI.cpp
//=========================================================================
#include "stdafx.h"

#include "BRModel.h"

using namespace std;

//---------------------------------------------------------------------------
/**
 * Standard-Constructor
 */
//---------------------------------------------------------------------------
BRModel::BRModel()
{
   BRModelItem Temp("Lampe",   63.45, 0);
   vWaren.push_back(Temp);

   Temp.set("Sessel", 110.95, 1);
   vWaren.push_back(Temp);

   Temp.set("Sofa",   221.15, 1);
   vWaren.push_back(Temp);

   Temp.set("Tisch",  177.15, 3);
   vWaren.push_back(Temp);

   Temp.set("Stuhl",   58.55, 3);
   vWaren.push_back(Temp);
}

//---------------------------------------------------------------------------
/**
 * @return Vector, bestehend aus BRModelItems
 */
//---------------------------------------------------------------------------
vector<BRModelItem> BRModel::getWaren()
{
   return vWaren;
}
