//=========================================================================
// C++ Bridge Designpattern  BRViewVerkaufsleiter.cpp
//=========================================================================
#include "stdafx.h"

#include "BRViewVerkaufsleiter.h"
#include <iostream>

using namespace std;

//---------------------------------------------------------------------------
/**
 * Constructor
 */
//---------------------------------------------------------------------------
BRViewVerkaufsleiter::BRViewVerkaufsleiter(BRBridge *pBridge) : BRView(pBridge)
{
}

//---------------------------------------------------------------------------
/**
 * showWarenListe
 */
//---------------------------------------------------------------------------
void BRViewVerkaufsleiter::showWarenListe()
{
   vector<BRVerkaufsleiterListeItem> vListe = rBridge->getVerkaufsleiterListe();
   cout << "****** Verkaufsleiter ******" << endl;
   for (unsigned int i=0; i<vListe.size(); i++)
   {
      cout << vListe[i].showContent() << endl;
   }
   cout << endl;
}
