//=========================================================================
// C++ Builder Designpattern  BUMeasurementMeter.h
//=========================================================================
#ifndef _BUMEASUREMENTMETER_H_
#define _BUMEASUREMENTMETER_H_

class BUBuilderAbstract;

class BUMeasurementMeter
{
   public: 
      BUMeasurementMeter(double pMeter);

      double get(void);
      void   set(double pMeter);
      BUBuilderAbstract *getBuilder(void);
      void   setBuilder(BUBuilderAbstract *pBuilder);
      void  *build(void);

   private:
      double fMeter;
      BUBuilderAbstract *rBuilder; 
};

#endif