//=========================================================================
// C++ Command Designpattern  CMCommand.h
//=========================================================================
#ifndef _CMCOMMAND_H_
#define _CMCOMMAND_H_

#include <string>

using namespace std;

class CMCommand
{
   public: 
      CMCommand(string pCommand);

      string getCommandText(void);
      virtual string getData(void) = NULL;
      virtual void   setData(string pData) = NULL;

   private:
      string sCommandText;
};

#endif