//=========================================================================
// C++ Command Designpattern  CMRechteck.cpp
//=========================================================================
#include "stdafx.h"
#include <iostream>
#include "CMRechteck.h"

//----------------------------------------------------------------------
CMRechteck::CMRechteck(int px1, int py1, int px2, int py2)
{
   xKoordinate1 = px1; 
   yKoordinate1 = py1;
   xKoordinate2 = px2; 
   yKoordinate2 = py2;
   sFillColor="#000000";
   sLineColor="#000000";
}

//----------------------------------------------------------------------
CMRechteck::~CMRechteck()
{
   cout << "Destructor CMRechteck" << endl;
}

//----------------------------------------------------------------------
void CMRechteck::doCommand (CMCommand *pCommand)
{
   if (pCommand->getCommandText() == "Fillcolor")
   {
      sFillColor = pCommand->getData();
   }
   else if (pCommand->getCommandText() == "Linecolor")
   {
      sLineColor = pCommand->getData();
   }
   else if (pCommand->getCommandText() == "Resize")
   {
      int nDiff = 0;
      string sVal;

      nDiff = xKoordinate2 - xKoordinate1;
      sVal = pCommand->getData();
      nDiff = (int)(nDiff * atof(sVal.c_str()));
      xKoordinate2 = xKoordinate1 + nDiff;

      nDiff = yKoordinate2 - yKoordinate1;
      sVal = pCommand->getData();
      nDiff = (int)(nDiff * atof(sVal.c_str()));
      yKoordinate2 = yKoordinate1 + nDiff;
   }
}

//----------------------------------------------------------------------
string CMRechteck::showContent(void)
{
   char s[1000] = "";
   sprintf (s, "Rechteck: %d, %d, %d, %d - Linie: %s - Fill: %s", 
            xKoordinate1, yKoordinate1,
            xKoordinate2, yKoordinate2, 
            sLineColor.c_str(), sFillColor.c_str());
   return s;
}