//=========================================================================
// C++ Composite Designpattern  COGroup.h
//=========================================================================
#ifndef _COGROUP_H_
#define _COGROUP_H_

#include "COElement.h"
#include <vector>

using namespace std;

class COGroup : public COElement
{
   public:
      COGroup(void);
      virtual ~COGroup();

      void add(COElement *pElement);
      virtual string showContent(void);
      virtual string showContent(int pLevel);

   private:
      vector<COElement*> vElemente;

};

#endif
