//=========================================================================
// C++ Composite Designpattern  COLinie.cpp
//=========================================================================
#include "stdafx.h"
#include <iostream>
#include "COLinie.h"

//----------------------------------------------------------------------
COLinie::COLinie(int px1, int py1, int px2, int py2)
{
   set(px1, py1, px2, py2);
}

//----------------------------------------------------------------------
COLinie::~COLinie()
{
   cout << "Destructor COLinie" << " - " 
        << x1 << ", " << y1 << ", " 
        << x2 << ", " << y2 << endl;
}

//----------------------------------------------------------------------
void COLinie::set(int px1, int py1, int px2, int py2)
{
   x1 = px1;
   y1 = py1;
   x2 = px2;
   y2 = py2;
}

//----------------------------------------------------------------------
string COLinie::showContent(void)
{
   return showContent(0);
}

//----------------------------------------------------------------------
string COLinie::showContent(int pLevel)
{
   char s[1000] = "";
   for (int i=0; i<pLevel; i++)
   {
      strcat(s, "  ");
   }
   char t[100] = "";
   sprintf (t, "Linie: %d, %d, %d, %d", x1, y1, x2, y2);
   strcat(s, t);
   return s;
}
