//=========================================================================
// C++ Composite Designpattern  COPunkt.cpp
//=========================================================================
#include "stdafx.h"
#include <iostream>
#include "COPunkt.h"

//----------------------------------------------------------------------
COPunkt::COPunkt(int px, int py)
{
   set(px, py);
}

//----------------------------------------------------------------------
COPunkt::~COPunkt()
{
   cout << "Destructor COPunkt" << " - " 
        << x << ", " << y << endl;
}

//----------------------------------------------------------------------
void COPunkt::set(int px, int py)
{
   x = px;
   y = py;
}

//----------------------------------------------------------------------
string COPunkt::showContent(void)
{
   return showContent(0);
}

//----------------------------------------------------------------------
string COPunkt::showContent(int pLevel)
{
   char s[1000] = "";
   for (int i=0; i<pLevel; i++)
   {
      strcat(s, "  ");
   }
   char t[100] = "";
   sprintf (t, "Punkt: %d, %d", x, y);
   strcat(s, t);
   return s;
}
