//=========================================================================
// C++ Composite Designpattern  COPunkt.h
//=========================================================================
#ifndef _COPUNKT_H_
#define _COPUNKT_H_

#include "COElement.h"
#include <vector>

using namespace std;

class COPunkt : public COElement
{
   public:
      COPunkt(int px, int py);
      virtual ~COPunkt();

      void set(int px, int py);
      virtual string showContent(void);
      virtual string showContent(int pLevel);

   private: 
      int x;
      int y;
};

#endif
