//=========================================================================
// C++ Decorator Designpattern - DCDecoratorUS.h 
//=========================================================================
#ifndef _DCDECORATORUS_H_
#define _DCDECORATORUS_H_

#include "DCDecoratorBasis.h"
#include "DCDecoratorWareBasis.h"

using namespace std;

class DCDecoratorUS : public DCDecoratorWareBasis, public DCDecoratorBasis
{
   //----------------------------------------------------------------------
   // Methoden
   //----------------------------------------------------------------------
   public:
                             DCDecoratorUS (DCWare & rNewWare);
                            ~DCDecoratorUS ();
      virtual double         getVKPreis (void);
      virtual double         getTax     (void);

   protected:
      virtual double         getStateTaxfactor (void);
      virtual double         getFederalTaxfactor (void);
      virtual double         getCountyTaxfactor (void);
};

#endif
