//=========================================================================
// C++ Facade Designpattern  FAAdresse.h
//=========================================================================
#ifndef _FAADRESSE_H_
#define _FAADRESSE_H_

#include <string>
#include "FAKommunikation.h"

using namespace std;

class FAAdresse
{
   public:
      FAAdresse (void);

      string           getPlzOrt        (void);
      string           getStrasseHsnr   (void);
      void             setPlzOrt        (string pPlzOrt);
      void             setStrasseHsnr   (string pStrasseHsnr);
      void             setKommunikation (FAKommunikation pKom);
      FAKommunikation* getKommunikation (void);

   private:
      string          sStrasseHsnr;
      string          sPlzOrt;
      FAKommunikation rKom;
};

#endif