//=========================================================================
// C++ Facade Designpattern - Facade.cpp
//=========================================================================
#include "stdafx.h"
#include "FAPerson.h"
#include "FAFacadeKunde.h"
#include <iostream>

int _tmain(int argc, _TCHAR* argv[])
{
   //-------------------------------------------------------------------
   // Ohne Facade-Pattern
   //-------------------------------------------------------------------
   FAPerson rP;
      
   rP.setName("Donald Duck");
   rP.getAdresse()->setStrasseHsnr("Entengasse 13");
   rP.getAdresse()->setPlzOrt("1313 Entenhausen");
   rP.getAdresse()->getKommunikation()->setNummer("013 - 13 13 13");
      
   cout << "Name....: " << rP.getName() << endl;
   cout << "Strasse.: " << rP.getAdresse()->getStrasseHsnr() << endl;
   cout << "Ort.....: " << rP.getAdresse()->getPlzOrt() << endl;
   cout << "Telephon: " << rP.getAdresse()->getKommunikation()->getNummer() 
        << endl << endl;
      
   //-------------------------------------------------------------------
   // Mit Facade-Pattern
   //-------------------------------------------------------------------
   FAFacadeKunde rF;
   rF.setName("Dagobert Duck");
   rF.setStrasseHsnr("Geldspeicher 1");
   rF.setPlzOrt("3333 Entenhausen");
   rF.setNummer("012 - 34 56 78");
      
   cout << "Name....: " << rF.getName() << endl;
   cout << "Strasse.: " << rF.getStrasseHsnr() << endl;
   cout << "Ort.....: " << rF.getPlzOrt() << endl;
   cout << "Telephon: " << rF.getNummer() << endl;
	return 0;
}

