//=========================================================================
// C++ Singleton Designpattern - SISystemkonstanten.h
//=========================================================================
#ifndef _SISYSTEMKONSTANTEN_H_
#define _SISYSTEMKONSTANTEN_H_

class SISystemkonstanten
{
   //----------------------------------------------------------------------
   // Methoden
   //----------------------------------------------------------------------
   public:
      static const SISystemkonstanten * get           (void);
      static       void                 remove        (void);
      static const double               getMWSTFaktor (void);

   protected: 
      SISystemkonstanten  ();
      ~SISystemkonstanten ();
      
   //----------------------------------------------------------------------
   // Attribute
   //----------------------------------------------------------------------
   protected: 
      static SISystemkonstanten * pSingleton;
             double               fMWSTFaktor;
};

#endif
