//=========================================================================
// C++ Template Method Designpattern - TMProdukt.h
//=========================================================================
#ifndef _TMPRODUKT_H_
#define _TMPRODUKT_H_

#include <fstream>
#include <string>
#include "tmfilesaver.h"

using namespace std;

class TMProdukt : public TMFilesaver
{
   //----------------------------------------------------------------------
   // Methoden
   //----------------------------------------------------------------------
   public:
               TMProdukt (const string & sNew, const double fNew);
      virtual ~TMProdukt ();

              void   setName    (const string & sNew);
      const string & getName    (void);
              void   setPreis   (const double fNew);
      const double   getPreis   (void);

   protected:
      virtual void save_write (ofstream & rDatei);

   //----------------------------------------------------------------------
   // Attribute
   //----------------------------------------------------------------------
   private:
      string sName;
      double fPreis;
};

#endif
